[Swift-commit] r6630 - in branches/release-0.94/tests: . multi_remote stress/user_profile

yadunandb at ci.uchicago.edu yadunandb at ci.uchicago.edu
Wed Jul 10 13:45:23 CDT 2013


Author: yadunandb
Date: 2013-07-10 13:45:22 -0500 (Wed, 10 Jul 2013)
New Revision: 6630

Added:
   branches/release-0.94/tests/multi_remote/
   branches/release-0.94/tests/multi_remote/README
   branches/release-0.94/tests/multi_remote/builder.sh
   branches/release-0.94/tests/multi_remote/clean.sh
   branches/release-0.94/tests/multi_remote/cron.sbatch
   branches/release-0.94/tests/multi_remote/remote_driver.setup.sh
   branches/release-0.94/tests/multi_remote/remote_driver.source.sh
   branches/release-0.94/tests/multi_remote/remote_driver.swift
   branches/release-0.94/tests/multi_remote/remote_driver.timeout
   branches/release-0.94/tests/multi_remote/run.sh
   branches/release-0.94/tests/multi_remote/sites.template.xml
   branches/release-0.94/tests/multi_remote/swift.properties
   branches/release-0.94/tests/multi_remote/tc.template.data
   branches/release-0.94/tests/multi_remote/title.txt
Modified:
   branches/release-0.94/tests/stress/user_profile/user.source.sh
Log:

Committing the swift code for running the test-suite remotely.



Added: branches/release-0.94/tests/multi_remote/README
===================================================================
--- branches/release-0.94/tests/multi_remote/README	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/README	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,52 @@
+
+
+What
+====
+
+This test-group multi-remote is recursive call on the test-suite from itself.
+
+
+How
+===
+Assuming that the site of execution of the top-level run has sufficient auth
+for connecting to all remote sites, the remote-driver.swift script will connect
+with several remote sites, and initiate an instance of the test-suite at the 
+remote login nodes.
+
+Get started
+===========
+
+I have made this with the assumption that swift.rcc will be the site from which
+the top-level run and hence the multi-remote.swift script will be invoked. Yet,
+it should be quite possible to run this anywhere.
+
+- Setup keys to have passwordless access to the following sites:
+  Beagle, UC3, MCS, Midway
+  - For connecting to MCS machines frisbee and crush directly you could add 
+  the following to the .ssh/config file :
+  Host frisbee.mcs.anl.gov
+    Hostname frisbee.mcs.anl.gov
+    ProxyCommand ssh -A <USERNAME>@login.mcs.anl.gov nc %h %p 2> /dev/null
+    ForwardAgent yes
+  Host crush.mcs.anl.gov
+    Hostname crush.mcs.anl.gov
+    ProxyCommand ssh -A <USERNAME>@login.mcs.anl.gov nc %h %p 2> /dev/null
+    ForwardAgent yes
+
+- Get keychain on the machine for more ease of use.
+  Add following to ~/.bashrc
+  # Start keychain and point it to private key
+  /PATH/TO/KEYCHAIN /PATH/TO/PRIVATE-KEY/id_rsa
+  # Let the shell know the agent
+  # The file will be <HOSTNAME>.sh under ~/.keychain
+  source ~/.keychain/midway001-sh > /dev/null
+
+- Start a screen session and ensure that an agent is present which will 
+  hold the auth for you.
+
+- Use cron / script to schedule regular runs of the tests
+  - On swift.rcc slurm-cron is supposed to work, but I haven't been
+  able to schedule on midway001 node due to an error when submitting the 
+  cron.sbatch script
+
+

Added: branches/release-0.94/tests/multi_remote/builder.sh
===================================================================
--- branches/release-0.94/tests/multi_remote/builder.sh	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/builder.sh	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+COG_URL=https://cogkit.svn.sourceforge.net/svnroot/cogkit/branches/4.1.10/src/cog 
+SWIFT_URL=https://svn.ci.uchicago.edu/svn/vdl2/branches/release-0.94
+SWIFT_VERSION=0.94
+
+BASE=$PWD
+
+# Make clean checkout if no swift dir is present or
+# Clean checkout requested
+if [ "$1" == "clean" ] || [ ! -d "swift" ]
+then
+    echo "Cleaning and making fresh checkout"
+    rm -rf swift &> /dev/null
+    mkdir swift && cd swift
+    svn co $COG_URL   
+    cd cog/modules
+    svn co $SWIFT_URL swift
+    cd swift
+else
+    echo "Updating Cog sources"
+    cd swift/
+#    svn up *
+    echo "Updating Swift sources"
+    cd cog/modules/swift
+#    svn up *    
+fi
+
+echo "$PWD : Starting compile"
+ant redist | tee $BASE/compile.log
+if [ "$?" != "0" ]
+then
+    echo "Swift compile failed. Cannot proceed"
+    exit 1
+fi
+
+cd $BASE
+if [ -d "swift" ]
+then
+    tar -cf swift.tar.tmp ./swift && mv swift.tar.tmp swift.tar && echo "Tarred successfully"
+else
+    echo "Could not find swift folder to tar"
+fi;
+exit 0
\ No newline at end of file


Property changes on: branches/release-0.94/tests/multi_remote/builder.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/release-0.94/tests/multi_remote/clean.sh
===================================================================
--- branches/release-0.94/tests/multi_remote/clean.sh	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/clean.sh	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+rm -rf *log *d
+rm -rf *swiftx *kml
+rm -rf *~
+rm -rf driver*
+rm -rf Logs_*tar
\ No newline at end of file


Property changes on: branches/release-0.94/tests/multi_remote/clean.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/release-0.94/tests/multi_remote/cron.sbatch
===================================================================
--- branches/release-0.94/tests/multi_remote/cron.sbatch	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/cron.sbatch	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# specify the time limit for the cron job
+#SBATCH --time=00:00:10
+
+# use cron.log and append to it
+#SBATCH --output=cron.log
+#SBATCH --open-mode=append
+
+# the account, partition, and qos should not be changed
+#SBATCH --account=cron-account
+#SBATCH --partition=cron
+#SBATCH --qos=cron
+
+# Specify a valid cron string for the schedule
+# this is daily at 5:05 AM
+SCHEDULE='* * * * *'
+
+echo hello on $(hostname) at $(date)
+
+# resubmit this script with --begin set to the next scheduled cron time
+# next-cron-time is a script that parses a cron schedule string and returns
+# the next execution time
+sbatch -w midway001.rcc.uchicago.edu --quiet --begin=$(next-cron-time "$SCHEDULE") cron.sbatch
\ No newline at end of file


Property changes on: branches/release-0.94/tests/multi_remote/cron.sbatch
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/release-0.94/tests/multi_remote/remote_driver.setup.sh
===================================================================
--- branches/release-0.94/tests/multi_remote/remote_driver.setup.sh	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/remote_driver.setup.sh	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,143 @@
+#!/bin/bash
+
+#CLEAN_CHECKOUT="yes"
+CLEAN_CHECKOUT="no"
+
+[ ! -z $COG_URL ]         || COG_URL=https://cogkit.svn.sourceforge.net/svnroot/cogkit/branches/4.1.10/src/cog
+[ ! -z $SWIFT_URL ]       || SWIFT_URL=https://svn.ci.uchicago.edu/svn/vdl2/branches/release-0.94
+[ ! -z $SWIFT_VERSION ]   || SWIFT_VERSION=0.94
+[ ! -z $BEAGLE_USERNAME ] || BEAGLE_USERNAME="yadunandb"
+[ ! -z $MIDWAY_USERNAME ] || MIDWAY_USERNAME="yadunand"
+[ ! -z $UC3_USERNAME ]    || UC3_USERNAME="yadunand"
+[ ! -z $MCS_USERNAME ]    || MCS_USERNAME="yadunand"    
+
+
+export GLOBUS_HOSTNAME="swift.rcc.uchicago.edu"
+
+
+SITES="sites.xml"
+
+cp  $SITES  $SITES.bak
+cat $SITES | sed "s/BEAGLE_USERNAME/$BEAGLE_USERNAME/g" > tmp && mv tmp $SITES
+cat $SITES | sed "s/MIDWAY_USERNAME/$MIDWAY_USERNAME/g" > tmp && mv tmp $SITES
+cat $SITES | sed "s/UC3_USERNAME/$UC3_USERNAME/g"       > tmp && mv tmp $SITES
+cat $SITES | sed "s/MCS_USERNAME/$MCS_USERNAME/g"       > tmp && mv tmp $SITES
+
+BASE=$PWD
+# Make clean checkout if no swift dir is present or                                        
+# Clean checkout requested                                                               
+cp /home/yadunand/swift/cog/modules/swift/tests/multi_remote/swift.tar ./
+if [ -f "swift.tar" ]
+then
+    echo "Found swift.tar. Extracting.."
+    tar -xf swift.tar
+fi
+  
+if [ "CLEAN_CHECKOUT" == "yes" ] || [ ! -d "swift" ]
+then
+    echo "Cleaning and making fresh checkout"
+    rm -rf swift &> /dev/null
+    mkdir swift && cd swift
+    svn co $COG_URL
+    cd cog/modules
+    svn co $SWIFT_URL swift
+    cd swift
+else
+    echo "Updating Cog sources"
+    cd swift/
+    svn up *                                                                        
+    echo "Updating Swift sources"
+    cd cog/modules/swift
+    svn up *                                                                              
+fi
+
+echo "$PWD : Starting compile"
+ant redist | tee $BASE/compile.log
+if [ "$?" != "0" ]
+then
+    echo "Swift compile failed. Cannot proceed"
+    exit 1
+fi
+
+cd $BASE
+if [ -d "swift" ]
+then
+    tar -cf swift.tar.tmp ./swift && mv swift.tar.tmp swift.tar && echo "Tarred successfully"
+else
+    echo "Could not find swift folder to tar"
+fi;
+
+
+# Wrapper is the script that gets executed on the remote nodes
+# The outputs go to the out directory
+cat <<'EOF' > wrapper.sh
+
+#!/bin/bash
+
+SWIFT_TARBALL=$1
+LOG_TARBALL=$2
+RUN_HOME=$PWD
+echo "Wrapper running on : $HOSTNAME "
+
+if [ -f $SWIFT_TARBALL ]
+then
+    echo "Hey this is wrapper and the $1 exists as a file";
+    ls -lah;
+else
+    echo "Doinks! the file we need isn't here";
+    ls -lah
+    exit -1;
+fi
+
+BASENAME=""
+if echo $SWIFT_TARBALL | grep "\.tar$"
+then
+    tar -xf $SWIFT_TARBALL
+    BASENAME=${SWIFT_TARBALL%.tar}
+else
+    echo "BAD.. cannot decipher $SWIFT_TARBALL"
+    exit -1
+fi;
+
+cd $BASENAME;
+cd cog/modules/swift/
+
+#type ant   2>&1
+#if [ "$?" != "0" ]
+#then
+#    echo "Ant not found. Cannot build. Exiting!.."
+#    exit 0
+#fi
+
+#ant redist 2>&1 > tee $RUN_HOME/swift_build.log
+if [ ! -x "$PWD/dist/swift-svn/bin/swift" ] 
+then
+    echo "No executable swift binary... Cannot proceed"
+    exit 0
+fi
+
+echo "Found swift executable!"
+SWIFT_PATH=$PWD/dist/swift-svn/bin
+export PATH=$SWIFT_PATH:$PATH
+
+T=`which swift`
+if [ "$T" == "$SWIFT_PATH/swift" ]
+then
+    swift -version
+else
+    echo "Swift not being pulled from SWIFT_PATH"
+fi;
+
+cd tests/
+#./suite.sh -l 1 -t $PWD/groups/group-stress-heavy.sh 2>&1 | tee $RUN_HOME/TEST.log
+./suite.sh -l 1 -t $PWD/groups/group-functions.sh 2>&1 | tee $RUN_HOME/TEST.log
+#./suite.sh -l 1 -t $PWD/groups/group-all-local.sh 2>&1 | tee $RUN_HOME/TEST.log
+
+cd $RUN_HOME
+tar -cvf $LOG_TARBALL *log $BASENAME/run*/tests-*{html,log}
+rm $BASENAME* -rf
+echo "Folder cleaned"
+ls -lah
+EOF
+
+exit 0


Property changes on: branches/release-0.94/tests/multi_remote/remote_driver.setup.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/release-0.94/tests/multi_remote/remote_driver.source.sh
===================================================================
--- branches/release-0.94/tests/multi_remote/remote_driver.source.sh	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/remote_driver.source.sh	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,6 @@
+#!/bin/bash
+if [ "$HOSTNAME" == "midway001" ]
+then
+   export GLOBUS_HOSTNAME=swift.rcc.uchicago.edu
+   export GLOBUS_TCP_PORT_RANGE=50000,51000
+fi;


Property changes on: branches/release-0.94/tests/multi_remote/remote_driver.source.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/release-0.94/tests/multi_remote/remote_driver.swift
===================================================================
--- branches/release-0.94/tests/multi_remote/remote_driver.swift	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/remote_driver.swift	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,64 @@
+type file;
+type script;
+
+file swift_package <"swift.tar">;
+script wrapper     <"wrapper.sh">;
+
+file out[] <simple_mapper;prefix="out/driver", suffix=".out">;
+file err[] <simple_mapper;prefix="out/driver", suffix=".err">;
+file log[] <simple_mapper;prefix="out/Logs_",  suffix=".tar">;
+
+string sites[] = ["uc3", "beagle", "midway", "crush", "frisbee"];
+
+app (file out, file err, file log) remote_uc3	  (script run, file tar)
+{
+    uc3 @run @filename(tar) @log stdout=@filename(out) stderr=@filename(err);
+}
+
+app (file out, file err, file log) remote_beagle  (script run, file tar)
+{
+    bgl @run @filename(tar) @log stdout=@filename(out) stderr=@filename(err);
+}
+
+app (file out, file err, file log) remote_midway  (script run, file tar)
+{
+    mid @run @filename(tar) @log stdout=@filename(out) stderr=@filename(err);
+}
+
+app (file out, file err, file log) remote_crush   (script run, file tar)
+{
+    csh @run @filename(tar) @log stdout=@filename(out) stderr=@filename(err);
+}
+
+app (file out, file err, file log) remote_frisbee (script run, file tar)
+{
+    fsb @run @filename(tar) @log stdout=@filename(out) stderr=@filename(err);
+}
+
+tracef("Filename of the wraper  : %s \n", @filename(wrapper));
+tracef("Filename of the package : %s \n", @filename(swift_package));
+
+foreach site, i in sites {
+    //tracef("Site : %s \n", site);
+
+    switch(i)
+    {
+	case 0: 
+	     	tracef("Calling uc3\n");
+		(out[i], err[i], log[i]) = remote_uc3     (wrapper, swift_package);
+	case 1:
+	     	tracef("Calling beagle \n");
+		(out[i], err[i], log[i]) = remote_beagle (wrapper, swift_package);
+	case 2: 
+	     	tracef("Calling Midway\n");	     	
+		(out[i], err[i], log[i]) = remote_midway (wrapper, swift_package);
+	case 3: 
+	     	tracef("Skipping Crush on MCS\n");
+//		(out[i], err[i], log[i]) = remote_crush(wrapper, swift_package);
+	case 4:	
+     	     	tracef("Skipping Frisbee on MCS (Will fail due to BUG:1030)\n");
+//		(out[i], err[i], log[i]) = remote_frisbee(wrapper, swift_package);
+	default:
+		tracef("Fail: Unknown site %s : %i \n", site, i);
+    }
+}

Added: branches/release-0.94/tests/multi_remote/remote_driver.timeout
===================================================================
--- branches/release-0.94/tests/multi_remote/remote_driver.timeout	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/remote_driver.timeout	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1 @@
+7200
\ No newline at end of file

Added: branches/release-0.94/tests/multi_remote/run.sh
===================================================================
--- branches/release-0.94/tests/multi_remote/run.sh	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/run.sh	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# Start keychain and point it to private key                                               
+/home/yadunand/bin/keychain ~/.ssh/id_rsa
+
+# Let the shell know the agent                                                             
+source ~/.keychain/midway001-sh > /dev/null
+
+./remote_driver.setup.sh
+
+echo "Running remote_driver2.swift"
+#swift -tc.file tc.data.2 -config cf -sites.file multiple.xml.bak remote_driver2.swift
+#swift -tc.file tc.data.2 -config cf -sites.file multiple.xml remote_driver2.swift
+swift -tc.file tc.data -config cf -sites.file $SITES remote_driver.swift | tee root_level.LOG
+
+rm $SITES
\ No newline at end of file


Property changes on: branches/release-0.94/tests/multi_remote/run.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/release-0.94/tests/multi_remote/sites.template.xml
===================================================================
--- branches/release-0.94/tests/multi_remote/sites.template.xml	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/sites.template.xml	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,97 @@
+<config>
+
+  <pool handle="local">
+    <execution provider="coaster" jobmanager="local:local"/>
+    <profile namespace="globus" key="jobsPerNode">4</profile>
+    <profile namespace="globus" key="maxWalltime">00:15:00</profile>
+    <profile namespace="globus" key="highOverAllocation">100</profile>
+    <profile namespace="globus" key="lowOverAllocation">100</profile>
+    <profile namespace="globus" key="slots">1</profile>
+    <profile namespace="globus" key="maxNodes">1</profile>
+    <profile namespace="globus" key="nodeGranularity">1</profile>
+    <profile namespace="karajan" key="jobThrottle">0.03</profile>
+    <profile namespace="karajan" key="initialScore">10000</profile>
+    <filesystem provider="local"/>
+    <workdirectory>.</workdirectory>
+  </pool>
+
+
+  <pool handle="beagle">
+    <execution provider="coaster" jobmanager="ssh-cl:local" url="login4.beagle.ci.uchicago.edu"/>
+    <profile namespace="globus" key="jobsPerNode">24</profile>
+    <profile namespace="globus" key="lowOverAllocation">100</profile>
+    <profile namespace="globus" key="highOverAllocation">100</profile>
+    <profile namespace="globus" key="providerAttributes">pbs.aprun;pbs.mpp;depth=24;pbs.resource_list=advres=wilde.1768</profile>
+    <profile namespace="globus" key="maxtime">36000</profile>
+    <profile namespace="globus" key="maxWalltime">01:05:00</profile>
+    <profile namespace="globus" key="userHomeOverride">/lustre/beagle/BEAGLE_USERNAME/swiftwork</profile>
+    <profile namespace="globus" key="slots">5</profile>
+    <profile namespace="globus" key="maxnodes">1</profile>
+    <profile namespace="globus" key="nodeGranularity">1</profile>
+    <profile namespace="karajan" key="jobThrottle">4.80</profile>
+    <profile namespace="karajan" key="initialScore">10000</profile>
+    <workdirectory>/tmp/BEAGLE_USERNAME/swiftwork</workdirectory>
+  </pool>
+
+
+  <pool handle="midway">
+    <execution provider="coaster" jobmanager="local:local"/>
+    <profile namespace="globus" key="queue">sandyb</profile>
+    <profile namespace="globus" key="jobsPerNode">16</profile>
+    <profile namespace="globus" key="maxTime">36000</profile>
+    <profile namespace="globus" key="maxWalltime">01:05:00</profile>
+    <profile namespace="globus" key="highOverAllocation">100</profile>
+    <profile namespace="globus" key="lowOverAllocation">100</profile>
+    <profile namespace="globus" key="slots">4</profile>
+    <profile namespace="globus" key="maxNodes">1</profile>
+    <profile namespace="globus" key="nodeGranularity">1</profile>
+    <profile namespace="karajan" key="jobThrottle">.64</profile>
+    <profile namespace="karajan" key="initialScore">10000</profile>
+    <workdirectory>/tmp/MIDWAY_USERNAME</workdirectory>
+  </pool>
+
+
+  <pool handle="uc3">
+    <execution provider="coaster" url="uc3-sub.uchicago.edu" jobmanager="ssh-cl:local"/>
+    <profile namespace="karajan" key="jobThrottle">10.00</profile>
+    <profile namespace="karajan" key="initialScore">10000</profile>
+    <profile namespace="globus"  key="jobsPerNode">1</profile>
+    <profile namespace="globus"  key="maxtime">36000</profile>
+    <profile namespace="globus"  key="maxWalltime">01:05:00</profile>
+    <profile namespace="globus"  key="highOverAllocation">100</profile>
+    <profile namespace="globus"  key="lowOverAllocation">100</profile>
+    <profile namespace="globus"  key="slots">1000</profile>
+    <profile namespace="globus"  key="maxNodes">1</profile>
+    <profile namespace="globus"  key="nodeGranularity">1</profile>
+    <!-- <profile namespace="globus"  key="condor.+AccountingGroup">"group_friends.yadunand"</profile> -->
+    <profile namespace="globus"  key="jobType">nonshared</profile>
+    <workdirectory>/home/UC3_USERNAME/swiftwork</workdirectory>
+  </pool>
+
+  <pool handle="crush">
+    <execution provider="coaster" jobmanager="ssh-cl:local" url="crush.mcs.anl.gov"/>
+    <profile namespace="globus" key="jobsPerNode">8</profile>
+    <profile namespace="globus" key="lowOverAllocation">100</profile>
+    <profile namespace="globus" key="highOverAllocation">100</profile>
+    <profile namespace="globus" key="maxtime">3600</profile>
+    <profile namespace="globus" key="maxWalltime">00:05:00</profile>
+    <profile namespace="karajan" key="jobThrottle">0.0799</profile>
+    <profile namespace="karajan" key="initialScore">10000</profile>
+    <workdirectory>/sandbox/MCS_USERNAME/swiftwork</workdirectory>
+  </pool>
+
+
+  <pool handle="frisbee">
+    <execution provider="coaster" jobmanager="ssh-cl:local" url="frisbee.mcs.anl.gov"/>
+    <profile namespace="globus" key="jobsPerNode">8</profile>
+    <profile namespace="globus" key="lowOverAllocation">100</profile>
+    <profile namespace="globus" key="highOverAllocation">100</profile>
+    <profile namespace="globus" key="maxtime">3600</profile>
+    <profile namespace="globus" key="maxWalltime">00:05:00</profile>
+    <profile namespace="karajan" key="jobThrottle">0.0799</profile>
+    <profile namespace="karajan" key="initialScore">10000</profile>
+    <workdirectory>/sandbox/MCS_USERNAME/swiftwork</workdirectory>
+  </pool>
+
+  
+</config>

Added: branches/release-0.94/tests/multi_remote/swift.properties
===================================================================
--- branches/release-0.94/tests/multi_remote/swift.properties	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/swift.properties	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,8 @@
+use.provider.staging=true
+use.wrapper.staging=false
+wrapperlog.always.transfer=true
+execution.retries=0
+lazy.errors=true
+provider.staging.pin.swiftfiles=false
+sitedir.keep=true
+tcp.port.range=50000,51000
\ No newline at end of file

Added: branches/release-0.94/tests/multi_remote/tc.template.data
===================================================================
--- branches/release-0.94/tests/multi_remote/tc.template.data	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/tc.template.data	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,6 @@
+beagle    bgl /bin/bash null null null
+uc3       uc3 /bin/bash null null null
+midway    mid /bin/bash null null null
+frisbee	  fsb /bin/bash null null null
+crush	  csh /bin/bash null null null
+local  l_bash /bin/bash null null null

Added: branches/release-0.94/tests/multi_remote/title.txt
===================================================================
--- branches/release-0.94/tests/multi_remote/title.txt	                        (rev 0)
+++ branches/release-0.94/tests/multi_remote/title.txt	2013-07-10 18:45:22 UTC (rev 6630)
@@ -0,0 +1,3 @@
+Recursive Test-run
+| This test will connect to several remote login nodes and
+| initiate several local, local-cluster, and remote-cluster tests

Modified: branches/release-0.94/tests/stress/user_profile/user.source.sh
===================================================================
--- branches/release-0.94/tests/stress/user_profile/user.source.sh	2013-07-09 22:53:46 UTC (rev 6629)
+++ branches/release-0.94/tests/stress/user_profile/user.source.sh	2013-07-10 18:45:22 UTC (rev 6630)
@@ -4,4 +4,10 @@
 export BEAGLE_USERNAME="yadunandb"
 export MIDWAY_USERNAME="yadunand"
 export MCS_USERNAME="yadunand"
-export UC3_USERNAME="yadunand"
\ No newline at end of file
+export UC3_USERNAME="yadunand"
+
+if [ "$HOSTNAME" == "midway001" ]
+then
+   export GLOBUS_HOSTNAME=swift.rcc.uchicago.edu
+   export GLOBUS_TCP_PORT_RANGE=50000,51000
+fi;
\ No newline at end of file




More information about the Swift-commit mailing list